Name:           btest
Version:        0.57
Release:        2%{?dist}
Summary:        A Simple Driver for Basic Unit Tests

License:        BSD
URL:            http://www.bro.org/sphinx/components/btest/README.html
Source0:        https://www.bro.org/downloads/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
The btest is a simple framework for writing unit tests. Freely borrowing some
ideas from other packages, it’s main objective is to provide an easy-to-use,
straightforward driver for a suite of shell-based tests. Each test consists
of a set of command lines that will be executed, and success is determined
based on their exit codes. btest comes with some additional tools that can
be used within such tests to compare output against a previously established
baseline.

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%files
%doc README
%{_bindir}/%{name}*
%{python3_sitelib}/*

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.57-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Fabian Affolter <mail@fabian-affolter.ch> - 0.57-1
- Update to new upstream version 0.57 (rhbz#1556203)

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.54-11
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.54-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.54-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.54-8
- Rebuild for brp-python-bytecompile

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.54-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.54-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.54-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.54-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.54-3
- Switch to Python 3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.54-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.54-1
- Update to new upstream version 0.54

* Wed Sep 17 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.53-1
- Update to latest upstream release 0.53

* Fri Jun 20 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.52-1
- Initial package
